> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seam.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List ACS Users

> Returns a list of all [access system users](https://docs.seam.co/low-level-apis/access-systems/user-management).



## OpenAPI

````yaml /openapi.json post /acs/users/list
openapi: 3.0.0
info:
  title: Seam Connect
  version: 1.0.0
servers:
  - url: https://connect.getseam.com
security: []
tags:
  - description: access_codes
    name: /access_codes
  - description: acs
    name: /acs
  - description: action_attempts
    name: /action_attempts
  - description: client_sessions
    name: /client_sessions
  - description: connected_accounts
    name: /connected_accounts
  - description: connect_webviews
    name: /connect_webviews
  - description: devices
    name: /devices
  - description: events
    name: /events
  - description: health
    name: /health
  - description: locks
    name: /locks
  - description: networks
    name: /networks
  - description: noise_sensors
    name: /noise_sensors
  - description: phones
    name: /phones
  - description: thermostats
    name: /thermostats
  - description: user_identities
    name: /user_identities
  - description: webhooks
    name: /webhooks
  - description: workspaces
    name: /workspaces
paths:
  /acs/users/list:
    post:
      tags:
        - /acs
      summary: List ACS Users
      description: >-
        Returns a list of all [access system
        users](https://docs.seam.co/low-level-apis/access-systems/user-management).
      operationId: acsUsersListPost
      requestBody:
        content:
          application/json:
            schema:
              properties:
                acs_system_id:
                  description: >-
                    ID of the `acs_system` for which you want to retrieve all
                    access system users.
                  format: uuid
                  type: string
                created_before:
                  description: >-
                    Timestamp by which to limit returned access system users.
                    Returns users created before this timestamp.
                  format: date-time
                  type: string
                limit:
                  default: 500
                  description: Maximum number of records to return per page.
                  exclusiveMinimum: true
                  minimum: 0
                  type: integer
                page_cursor:
                  description: >-
                    Identifies the specific page of results to return, obtained
                    from the previous page's `next_page_cursor`.
                  nullable: true
                  type: string
                search:
                  description: >-
                    String for which to search. Filters returned access system
                    users to include all records that satisfy a partial match
                    using `full_name`, `phone_number`, `email_address`,
                    `acs_user_id`, `user_identity_id`, `user_identity_full_name`
                    or `user_identity_phone_number`.
                  minLength: 1
                  type: string
                user_identity_email_address:
                  description: >-
                    Email address of the user identity for which you want to
                    retrieve all access system users.
                  type: string
                user_identity_id:
                  description: >-
                    ID of the user identity for which you want to retrieve all
                    access system users.
                  format: uuid
                  type: string
                user_identity_phone_number:
                  description: >-
                    Phone number of the user identity for which you want to
                    retrieve all access system users, in [E.164
                    format](https://www.itu.int/rec/T-REC-E.164/en) (for
                    example, `+15555550100`).
                  type: string
              type: object
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  acs_users:
                    items:
                      $ref: '#/components/schemas/acs_user'
                    type: array
                  ok:
                    type: boolean
                  pagination:
                    $ref: '#/components/schemas/pagination'
                required:
                  - acs_users
                  - pagination
                  - ok
                type: object
          description: OK
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
      security:
        - client_session: []
        - pat_with_workspace: []
        - console_session_with_workspace: []
        - api_key: []
      x-codeSamples:
        - lang: javascript
          label: Seam SDK
          source: |-
            await seam.acs.users.list({
              user_identity_id: "0dcb435f-0aef-4ae6-8d6e-9c605b78c94e",
            });

            /*
            [
              {
                "access_schedule": {
                  "ends_at": "2025-06-12T11:00:00.000Z",
                  "starts_at": "2025-06-10T15:00:00.000Z"
                },
                "acs_system_id": "62d3384f-267f-4a4a-a946-d35819ec9981",
                "acs_user_id": "6a5d9697-3cc4-436a-8165-4375ff424870",
                "connected_account_id": "c0175797-30f0-49f7-a228-2df115443ca7",
                "created_at": "2025-06-15T16:54:17.946482Z",
                "display_name": "Jane Doe",
                "email_address": "jane@example.com",
                "errors": [],
                "external_type": "salto_site_user",
                "external_type_display_name": "Salto site user",
                "full_name": "Jane Doe",
                "hid_acs_system_id": "2acbe47f-612c-422a-9205-7af292f74e7f",
                "is_managed": true,
                "is_suspended": false,
                "last_successful_sync_at": "2025-06-18T17:45:00.582Z",
                "pending_mutations": [],
                "phone_number": "+1555551000",
                "user_identity_email_address": "jane@example.com",
                "user_identity_full_name": "Jane Doe",
                "user_identity_id": "0dcb435f-0aef-4ae6-8d6e-9c605b78c94e",
                "user_identity_phone_number": "+1555551000",
                "warnings": [],
                "workspace_id": "8d4868e3-2f95-4f33-8689-19420b3101cd"
              }
            ]
            */
        - lang: bash
          label: cURL
          source: >-
            curl --include --request POST
            "https://connect.getseam.com/acs/users/list" \
              --header "Authorization: Bearer $SEAM_API_KEY" \
              --json @- <<EOF
            {
              "user_identity_id": "0dcb435f-0aef-4ae6-8d6e-9c605b78c94e"
            }

            EOF


            # Response:

            # {

            #   "acs_users": [

            #     {

            #       "access_schedule": {

            #         "ends_at": "2025-06-12T11:00:00.000Z",

            #         "starts_at": "2025-06-10T15:00:00.000Z"

            #       },

            #       "acs_system_id": "62d3384f-267f-4a4a-a946-d35819ec9981",

            #       "acs_user_id": "6a5d9697-3cc4-436a-8165-4375ff424870",

            #       "connected_account_id":
            "c0175797-30f0-49f7-a228-2df115443ca7",

            #       "created_at": "2025-06-15T16:54:17.946482Z",

            #       "display_name": "Jane Doe",

            #       "email_address": "jane@example.com",

            #       "errors": [],

            #       "external_type": "salto_site_user",

            #       "external_type_display_name": "Salto site user",

            #       "full_name": "Jane Doe",

            #       "hid_acs_system_id": "2acbe47f-612c-422a-9205-7af292f74e7f",

            #       "is_managed": true,

            #       "is_suspended": false,

            #       "last_successful_sync_at": "2025-06-18T17:45:00.582Z",

            #       "pending_mutations": [],

            #       "phone_number": "+1555551000",

            #       "user_identity_email_address": "jane@example.com",

            #       "user_identity_full_name": "Jane Doe",

            #       "user_identity_id": "0dcb435f-0aef-4ae6-8d6e-9c605b78c94e",

            #       "user_identity_phone_number": "+1555551000",

            #       "warnings": [],

            #       "workspace_id": "8d4868e3-2f95-4f33-8689-19420b3101cd"

            #     }

            #   ]

            # }
        - lang: python
          label: Seam SDK
          source: >-
            seam.acs.users.list(user_identity_id="0dcb435f-0aef-4ae6-8d6e-9c605b78c94e")


            # [
                AcsUser(
                    access_schedule={
                        "ends_at": "2025-06-12T11:00:00.000Z",
                        "starts_at": "2025-06-10T15:00:00.000Z",
                    },
                    acs_system_id="62d3384f-267f-4a4a-a946-d35819ec9981",
                    acs_user_id="6a5d9697-3cc4-436a-8165-4375ff424870",
                    connected_account_id="c0175797-30f0-49f7-a228-2df115443ca7",
                    created_at="2025-06-15T16:54:17.946482Z",
                    display_name="Jane Doe",
                    email_address="jane@example.com",
                    errors=[],
                    external_type="salto_site_user",
                    external_type_display_name="Salto site user",
                    full_name="Jane Doe",
                    hid_acs_system_id="2acbe47f-612c-422a-9205-7af292f74e7f",
                    is_managed=true,
                    is_suspended=false,
                    last_successful_sync_at="2025-06-18T17:45:00.582Z",
                    pending_mutations=[],
                    phone_number="+1555551000",
                    user_identity_email_address="jane@example.com",
                    user_identity_full_name="Jane Doe",
                    user_identity_id="0dcb435f-0aef-4ae6-8d6e-9c605b78c94e",
                    user_identity_phone_number="+1555551000",
                    warnings=[],
                    workspace_id="8d4868e3-2f95-4f33-8689-19420b3101cd",
                )
            ]
        - lang: ruby
          label: Seam SDK
          source: >-
            seam.acs.users.list(user_identity_id:
            "0dcb435f-0aef-4ae6-8d6e-9c605b78c94e")


            # => [
              {
                "access_schedule" => {
                  ends_at: "2025-06-12T11:00:00.000Z",
                  starts_at: "2025-06-10T15:00:00.000Z",
                },
                "acs_system_id" => "62d3384f-267f-4a4a-a946-d35819ec9981",
                "acs_user_id" => "6a5d9697-3cc4-436a-8165-4375ff424870",
                "connected_account_id" => "c0175797-30f0-49f7-a228-2df115443ca7",
                "created_at" => "2025-06-15T16:54:17.946482Z",
                "display_name" => "Jane Doe",
                "email_address" => "jane@example.com",
                "errors" => [],
                "external_type" => "salto_site_user",
                "external_type_display_name" => "Salto site user",
                "full_name" => "Jane Doe",
                "hid_acs_system_id" => "2acbe47f-612c-422a-9205-7af292f74e7f",
                "is_managed" => true,
                "is_suspended" => false,
                "last_successful_sync_at" => "2025-06-18T17:45:00.582Z",
                "pending_mutations" => [],
                "phone_number" => "+1555551000",
                "user_identity_email_address" => "jane@example.com",
                "user_identity_full_name" => "Jane Doe",
                "user_identity_id" => "0dcb435f-0aef-4ae6-8d6e-9c605b78c94e",
                "user_identity_phone_number" => "+1555551000",
                "warnings" => [],
                "workspace_id" => "8d4868e3-2f95-4f33-8689-19420b3101cd",
              },
            ]
        - lang: php
          label: Seam SDK
          source: |-
            $seam->acs->users->list(
                user_identity_id: "0dcb435f-0aef-4ae6-8d6e-9c605b78c94e",
            );

            // [
                [
                    "access_schedule" => [
                        "ends_at" => "2025-06-12T11:00:00.000Z",
                        "starts_at" => "2025-06-10T15:00:00.000Z",
                    ],
                    "acs_system_id" => "62d3384f-267f-4a4a-a946-d35819ec9981",
                    "acs_user_id" => "6a5d9697-3cc4-436a-8165-4375ff424870",
                    "connected_account_id" => "c0175797-30f0-49f7-a228-2df115443ca7",
                    "created_at" => "2025-06-15T16:54:17.946482Z",
                    "display_name" => "Jane Doe",
                    "email_address" => "jane@example.com",
                    "errors" => [],
                    "external_type" => "salto_site_user",
                    "external_type_display_name" => "Salto site user",
                    "full_name" => "Jane Doe",
                    "hid_acs_system_id" => "2acbe47f-612c-422a-9205-7af292f74e7f",
                    "is_managed" => true,
                    "is_suspended" => false,
                    "last_successful_sync_at" => "2025-06-18T17:45:00.582Z",
                    "pending_mutations" => [],
                    "phone_number" => "+1555551000",
                    "user_identity_email_address" => "jane@example.com",
                    "user_identity_full_name" => "Jane Doe",
                    "user_identity_id" => "0dcb435f-0aef-4ae6-8d6e-9c605b78c94e",
                    "user_identity_phone_number" => "+1555551000",
                    "warnings" => [],
                    "workspace_id" => "8d4868e3-2f95-4f33-8689-19420b3101cd",
                ],
            ];
        - lang: bash
          label: Seam CLI
          source: >-
            seam acs users list --user_identity_id
            "0dcb435f-0aef-4ae6-8d6e-9c605b78c94e"


            # [

            #   {

            #     "access_schedule": {

            #       "ends_at": "2025-06-12T11:00:00.000Z",

            #       "starts_at": "2025-06-10T15:00:00.000Z"

            #     },

            #     "acs_system_id": "62d3384f-267f-4a4a-a946-d35819ec9981",

            #     "acs_user_id": "6a5d9697-3cc4-436a-8165-4375ff424870",

            #     "connected_account_id":
            "c0175797-30f0-49f7-a228-2df115443ca7",

            #     "created_at": "2025-06-15T16:54:17.946482Z",

            #     "display_name": "Jane Doe",

            #     "email_address": "jane@example.com",

            #     "errors": [],

            #     "external_type": "salto_site_user",

            #     "external_type_display_name": "Salto site user",

            #     "full_name": "Jane Doe",

            #     "hid_acs_system_id": "2acbe47f-612c-422a-9205-7af292f74e7f",

            #     "is_managed": true,

            #     "is_suspended": false,

            #     "last_successful_sync_at": "2025-06-18T17:45:00.582Z",

            #     "pending_mutations": [],

            #     "phone_number": "+1555551000",

            #     "user_identity_email_address": "jane@example.com",

            #     "user_identity_full_name": "Jane Doe",

            #     "user_identity_id": "0dcb435f-0aef-4ae6-8d6e-9c605b78c94e",

            #     "user_identity_phone_number": "+1555551000",

            #     "warnings": [],

            #     "workspace_id": "8d4868e3-2f95-4f33-8689-19420b3101cd"

            #   }

            # ]
components:
  schemas:
    acs_user:
      description: >-
        Represents a
        [user](https://docs.seam.co/low-level-apis/access-systems/user-management)
        in an [access
        system](https://docs.seam.co/low-level-apis/access-systems).
      properties:
        access_schedule:
          description: >-
            `starts_at` and `ends_at` timestamps for the [access system
            user's](https://docs.seam.co/low-level-apis/access-systems/user-management)
            access.
          properties:
            ends_at:
              description: >-
                Date and time at which the user's access ends, in [ISO
                8601](https://www.iso.org/iso-8601-date-and-time-format.html)
                format.
              format: date-time
              nullable: true
              type: string
            starts_at:
              description: >-
                Date and time at which the user's access starts, in [ISO
                8601](https://www.iso.org/iso-8601-date-and-time-format.html)
                format.
              format: date-time
              type: string
          required:
            - starts_at
            - ends_at
          type: object
        acs_system_id:
          description: >-
            ID of the [access
            system](https://docs.seam.co/low-level-apis/access-systems) that
            contains the [access system
            user](https://docs.seam.co/low-level-apis/access-systems/user-management).
          format: uuid
          type: string
        acs_user_id:
          description: >-
            ID of the [access system
            user](https://docs.seam.co/low-level-apis/access-systems/user-management).
          format: uuid
          type: string
        connected_account_id:
          description: |2-

                  The ID of the [connected account](https://docs.seam.co/core-concepts/connected-accounts) that is associated with the [access system user](https://docs.seam.co/low-level-apis/access-systems/user-management).
                
          format: uuid
          type: string
        created_at:
          description: >-
            Date and time at which the [access system
            user](https://docs.seam.co/low-level-apis/access-systems/user-management)
            was created.
          format: date-time
          type: string
        display_name:
          description: >-
            Display name for the [access system
            user](https://docs.seam.co/low-level-apis/access-systems/user-management).
          type: string
        email:
          deprecated: true
          format: email
          type: string
          x-deprecated: use email_address.
        email_address:
          description: >-
            Email address of the [access system
            user](https://docs.seam.co/low-level-apis/access-systems/user-management).
          format: email
          type: string
        errors:
          type: array
          description: >-
            Errors associated with the [access system
            user](https://docs.seam.co/low-level-apis/access-systems/user-management).
          items:
            type: object
            properties:
              error_code:
                type: string
                description: Error or warning code.
              message:
                type: string
                description: Human-readable description.
              created_at:
                type: string
                format: date-time
                description: When this error or warning was generated.
        external_type:
          description: >-
            Brand-specific terminology for the [access system
            user](https://docs.seam.co/low-level-apis/access-systems/user-management)
            type.
          enum:
            - pti_user
            - brivo_user
            - hid_credential_manager_user
            - salto_site_user
            - latch_user
            - dormakaba_community_user
            - salto_space_user
            - avigilon_alta_user
          type: string
        external_type_display_name:
          description: >-
            Display name that corresponds to the brand-specific terminology for
            the [access system
            user](https://docs.seam.co/low-level-apis/access-systems/user-management)
            type.
          type: string
        full_name:
          description: >-
            Full name of the [access system
            user](https://docs.seam.co/low-level-apis/access-systems/user-management).
          minLength: 1
          type: string
        hid_acs_system_id:
          format: uuid
          type: string
        is_managed:
          enum:
            - true
          type: boolean
        is_suspended:
          description: >-
            Indicates whether the [access system
            user](https://docs.seam.co/low-level-apis/access-systems/user-management)
            is currently
            [suspended](https://docs.seam.co/low-level-apis/access-systems/user-management/suspending-and-unsuspending-users).
          type: boolean
        last_successful_sync_at:
          description: >-
            The last time an internal sync job completed for this access system
            user.
          format: date-time
          nullable: true
          type: string
          x-undocumented: Only used internally.
        pending_mutations:
          description: >-
            Pending mutations associated with the [access system
            user](https://docs.seam.co/low-level-apis/access-systems/user-management).
            Seam is in the process of pushing these mutations to the integrated
            access system.
          items:
            discriminator:
              propertyName: mutation_code
            oneOf:
              - description: >-
                  Seam is in the process of pushing a user creation to the
                  integrated access system.
                properties:
                  created_at:
                    description: Date and time at which the mutation was created.
                    format: date-time
                    type: string
                  message:
                    description: Detailed description of the mutation.
                    type: string
                  mutation_code:
                    description: >-
                      Mutation code to indicate that Seam is in the process of
                      pushing a user creation to the integrated access system.
                    enum:
                      - creating
                    type: string
                required:
                  - created_at
                  - message
                  - mutation_code
                type: object
              - description: >-
                  Seam is in the process of pushing a user deletion to the
                  integrated access system.
                properties:
                  created_at:
                    description: Date and time at which the mutation was created.
                    format: date-time
                    type: string
                  message:
                    description: Detailed description of the mutation.
                    type: string
                  mutation_code:
                    description: >-
                      Mutation code to indicate that Seam is in the process of
                      pushing a user deletion to the integrated access system.
                    enum:
                      - deleting
                    type: string
                required:
                  - created_at
                  - message
                  - mutation_code
                type: object
              - description: >-
                  User exists in Seam but has not been pushed to the provider
                  yet. Will be created when a credential is issued.
                properties:
                  created_at:
                    description: Date and time at which the mutation was created.
                    format: date-time
                    type: string
                  message:
                    description: Detailed description of the mutation.
                    type: string
                  mutation_code:
                    description: >-
                      Mutation code to indicate that Seam is intentionally
                      deferring the creation of the user on the access control
                      system until the appropriate time.
                    enum:
                      - deferring_creation
                    type: string
                  scheduled_at:
                    description: 'Optional: When the user creation is scheduled to occur.'
                    format: date-time
                    nullable: true
                    type: string
                required:
                  - created_at
                  - message
                  - mutation_code
                type: object
              - properties:
                  created_at:
                    description: Date and time at which the mutation was created.
                    format: date-time
                    type: string
                  from:
                    description: Old access system user information.
                    properties:
                      email_address:
                        description: Email address of the access system user.
                        format: email
                        nullable: true
                        type: string
                      full_name:
                        description: Full name of the access system user.
                        nullable: true
                        type: string
                      phone_number:
                        description: Phone number of the access system user.
                        nullable: true
                        type: string
                    type: object
                  message:
                    description: Detailed description of the mutation.
                    type: string
                  mutation_code:
                    description: >-
                      Mutation code to indicate that Seam is in the process of
                      pushing updated user information to the integrated access
                      system.
                    enum:
                      - updating_user_information
                    type: string
                  to:
                    description: New access system user information.
                    properties:
                      email_address:
                        description: Email address of the access system user.
                        format: email
                        nullable: true
                        type: string
                      full_name:
                        description: Full name of the access system user.
                        nullable: true
                        type: string
                      phone_number:
                        description: Phone number of the access system user.
                        nullable: true
                        type: string
                    type: object
                required:
                  - created_at
                  - message
                  - mutation_code
                  - from
                  - to
                type: object
              - description: >-
                  Seam is in the process of pushing an access schedule update to
                  the integrated access system.
                properties:
                  created_at:
                    description: Date and time at which the mutation was created.
                    format: date-time
                    type: string
                  from:
                    description: Old access schedule information.
                    properties:
                      ends_at:
                        description: Starting time for the access schedule.
                        format: date-time
                        nullable: true
                        type: string
                      starts_at:
                        description: Starting time for the access schedule.
                        format: date-time
                        nullable: true
                        type: string
                    required:
                      - starts_at
                      - ends_at
                    type: object
                  message:
                    description: Detailed description of the mutation.
                    type: string
                  mutation_code:
                    description: >-
                      Mutation code to indicate that Seam is in the process of
                      pushing updated access schedule information to the
                      integrated access system.
                    enum:
                      - updating_access_schedule
                    type: string
                  to:
                    description: New access schedule information.
                    properties:
                      ends_at:
                        description: Starting time for the access schedule.
                        format: date-time
                        nullable: true
                        type: string
                      starts_at:
                        description: Starting time for the access schedule.
                        format: date-time
                        nullable: true
                        type: string
                    required:
                      - starts_at
                      - ends_at
                    type: object
                required:
                  - created_at
                  - message
                  - mutation_code
                  - from
                  - to
                type: object
              - description: >-
                  Seam is in the process of pushing a suspension state update to
                  the integrated access system.
                properties:
                  created_at:
                    description: Date and time at which the mutation was created.
                    format: date-time
                    type: string
                  from:
                    description: Old user suspension state information.
                    properties:
                      is_suspended:
                        type: boolean
                    required:
                      - is_suspended
                    type: object
                  message:
                    description: Detailed description of the mutation.
                    type: string
                  mutation_code:
                    description: >-
                      Mutation code to indicate that Seam is in the process of
                      pushing updated user suspension state information to the
                      integrated access system.
                    enum:
                      - updating_suspension_state
                    type: string
                  to:
                    description: New user suspension state information.
                    properties:
                      is_suspended:
                        type: boolean
                    required:
                      - is_suspended
                    type: object
                required:
                  - created_at
                  - message
                  - mutation_code
                  - from
                  - to
                type: object
              - description: >-
                  Seam is in the process of pushing an access group membership
                  update to the integrated access system.
                properties:
                  created_at:
                    description: Date and time at which the mutation was created.
                    format: date-time
                    type: string
                  from:
                    description: Old access group membership.
                    properties:
                      acs_access_group_id:
                        description: Old access group ID.
                        format: uuid
                        nullable: true
                        type: string
                    required:
                      - acs_access_group_id
                    type: object
                  message:
                    description: Detailed description of the mutation.
                    type: string
                  mutation_code:
                    description: >-
                      Mutation code to indicate that Seam is in the process of
                      pushing updated access group membership information to the
                      integrated access system.
                    enum:
                      - updating_group_membership
                    type: string
                  to:
                    description: New access group membership.
                    properties:
                      acs_access_group_id:
                        description: New access group ID.
                        format: uuid
                        nullable: true
                        type: string
                    required:
                      - acs_access_group_id
                    type: object
                required:
                  - created_at
                  - message
                  - mutation_code
                  - from
                  - to
                type: object
              - description: >-
                  A scheduled access group membership change is pending for this
                  user.
                properties:
                  acs_access_group_id:
                    description: ID of the access group involved in the scheduled change.
                    format: uuid
                    type: string
                  created_at:
                    description: Date and time at which the mutation was created.
                    format: date-time
                    type: string
                  message:
                    description: Detailed description of the mutation.
                    type: string
                  mutation_code:
                    description: >-
                      Mutation code to indicate that a scheduled access group
                      membership change is pending for this user.
                    enum:
                      - deferring_group_membership_update
                    type: string
                  variant:
                    description: >-
                      Whether the user is scheduled to be added to or removed
                      from the access group.
                    enum:
                      - adding
                      - removing
                    type: string
                required:
                  - created_at
                  - message
                  - mutation_code
                  - acs_access_group_id
                  - variant
                type: object
              - description: >-
                  Seam is in the process of assigning or unassigning a
                  credential to the user on the integrated access system.
                properties:
                  created_at:
                    description: Date and time at which the mutation was created.
                    format: date-time
                    type: string
                  from:
                    description: Previous credential assignment.
                    properties:
                      acs_credential_id:
                        description: Previous credential ID.
                        format: uuid
                        nullable: true
                        type: string
                    required:
                      - acs_credential_id
                    type: object
                  message:
                    description: Detailed description of the mutation.
                    type: string
                  mutation_code:
                    description: >-
                      Mutation code to indicate that Seam is in the process of
                      assigning or unassigning a credential to the user on the
                      integrated access system.
                    enum:
                      - updating_credential_assignment
                    type: string
                  to:
                    description: New credential assignment.
                    properties:
                      acs_credential_id:
                        description: New credential ID.
                        format: uuid
                        nullable: true
                        type: string
                    required:
                      - acs_credential_id
                    type: object
                required:
                  - created_at
                  - message
                  - mutation_code
                  - from
                  - to
                type: object
          type: array
        phone_number:
          description: >-
            Phone number of the [access system
            user](https://docs.seam.co/low-level-apis/access-systems/user-management)
            in E.164 format (for example, `+15555550100`).
          type: string
        salto_space_metadata:
          description: >-
            Salto Space-specific metadata associated with the [access system
            user](https://docs.seam.co/low-level-apis/access-systems/user-management).
          properties:
            audit_openings:
              description: >-
                Indicates whether AuditOpenings is enabled for the user in the
                Salto Space access system.
              type: boolean
            user_id:
              description: User ID in the Salto Space access system.
              type: string
          type: object
        user_identity_email_address:
          description: >-
            Email address of the user identity associated with the [access
            system
            user](https://docs.seam.co/low-level-apis/access-systems/user-management).
          nullable: true
          type: string
        user_identity_full_name:
          description: >-
            Full name of the user identity associated with the [access system
            user](https://docs.seam.co/low-level-apis/access-systems/user-management).
          nullable: true
          type: string
        user_identity_id:
          description: >-
            ID of the user identity associated with the [access system
            user](https://docs.seam.co/low-level-apis/access-systems/user-management).
          type: string
        user_identity_phone_number:
          description: >-
            Phone number of the user identity associated with the [access system
            user](https://docs.seam.co/low-level-apis/access-systems/user-management)
            in E.164 format (for example, `+15555550100`).
          nullable: true
          type: string
        warnings:
          description: >-
            Warnings associated with the [access system
            user](https://docs.seam.co/low-level-apis/access-systems/user-management).
          items:
            description: >-
              Warnings associated with the [access system
              user](https://docs.seam.co/low-level-apis/access-systems/user-management).
            discriminator:
              propertyName: warning_code
            oneOf:
              - description: >-
                  Indicates that the [access system
                  user](https://docs.seam.co/low-level-apis/access-systems/user-management)
                  is being deleted from the [access
                  system](https://docs.seam.co/low-level-apis/access-systems).
                  This is a temporary state, and the access system user will be
                  deleted shortly.
                properties:
                  created_at:
                    description: Date and time at which Seam created the warning.
                    format: date-time
                    type: string
                  message:
                    description: >-
                      Detailed description of the warning. Provides insights
                      into the issue and potentially how to rectify it.
                    type: string
                  warning_code:
                    enum:
                      - being_deleted
                    type: string
                required:
                  - created_at
                  - message
                  - warning_code
                type: object
              - description: >-
                  Indicates that the [access system
                  user](https://docs.seam.co/low-level-apis/access-systems/user-management)
                  is not subscribed on Salto KS, so they cannot unlock doors or
                  perform any actions. This occurs when the their access
                  schedule hasn’t started yet, if their access schedule has
                  ended, if the site has reached its limit for active users
                  (subscription slots), or if they have been manually
                  unsubscribed.
                properties:
                  created_at:
                    description: Date and time at which Seam created the warning.
                    format: date-time
                    type: string
                  message:
                    description: >-
                      Detailed description of the warning. Provides insights
                      into the issue and potentially how to rectify it.
                    type: string
                  warning_code:
                    enum:
                      - salto_ks_user_not_subscribed
                    type: string
                required:
                  - created_at
                  - message
                  - warning_code
                type: object
              - description: >-
                  An unknown issue occurred while syncing the state of this
                  [access system
                  user](https://docs.seam.co/low-level-apis/access-systems/user-management)
                  with the provider. This issue may affect the proper
                  functioning of this user.
                properties:
                  created_at:
                    description: Date and time at which Seam created the warning.
                    format: date-time
                    type: string
                  message:
                    description: >-
                      Detailed description of the warning. Provides insights
                      into the issue and potentially how to rectify it.
                    type: string
                  warning_code:
                    enum:
                      - unknown_issue_with_acs_user
                    type: string
                required:
                  - created_at
                  - message
                  - warning_code
                type: object
              - description: >-
                  Indicates that the [access system
                  user](https://docs.seam.co/low-level-apis/access-systems/user-management)
                  was created on Latch Mission Control. Please use the Latch
                  Mission Control to manage this user.
                properties:
                  created_at:
                    description: Date and time at which Seam created the warning.
                    format: date-time
                    type: string
                  message:
                    description: >-
                      Detailed description of the warning. Provides insights
                      into the issue and potentially how to rectify it.
                    type: string
                  warning_code:
                    enum:
                      - latch_resident_user
                    type: string
                required:
                  - created_at
                  - message
                  - warning_code
                type: object
          type: array
        workspace_id:
          description: >-
            ID of the [workspace](https://docs.seam.co/core-concepts/workspaces)
            that contains the [access system
            user](https://docs.seam.co/low-level-apis/access-systems/user-management).
          format: uuid
          type: string
      required:
        - acs_user_id
        - acs_system_id
        - workspace_id
        - created_at
        - display_name
        - warnings
        - errors
        - last_successful_sync_at
        - connected_account_id
        - is_managed
      type: object
      x-route-path: /acs/users
    pagination:
      description: Information about the current page of results.
      properties:
        has_next_page:
          description: Indicates whether there is another page of results after this one.
          type: boolean
        next_page_cursor:
          description: >-
            Opaque value that can be used to select the next page of results via
            the `page_cursor` parameter.
          nullable: true
          type: string
        next_page_url:
          description: URL to get the next page of results.
          format: uri
          nullable: true
          type: string
      required:
        - next_page_cursor
        - has_next_page
        - next_page_url
      type: object
  securitySchemes:
    client_session:
      bearerFormat: Client Session Token
      scheme: bearer
      type: http
    pat_with_workspace:
      bearerFormat: API Token
      scheme: bearer
      type: http
    console_session_with_workspace:
      bearerFormat: Console Session Token
      scheme: bearer
      type: http
    api_key:
      bearerFormat: API Key
      scheme: bearer
      type: http

````